#!/usr/bin/env clojure -Sdeps {:deps,{selmer,{:mvn/version,"1.12.17"}}}

(require '[selmer.parser :as p])
(require '[clojure.java.io :as io])

(def version (str "0.0.1"
                  (if (= "true" (System/getenv "SCI_REFLECTOR_JAVA11"))
                    "-java11"
                    "")))

(def java-source-path (str "src-java"
                  (if (= "true" (System/getenv "SCI_REFLECTOR_JAVA11"))
                    "11"
                    "8")))

(spit "project.clj" (str ";; GENERATED by script/update-project.clj, DO NOT EDIT\n"
                         "\n"
                         (p/render (slurp (io/file "project.clj.template"))
                                   {:version version
                                    :java-source-path java-source-path})))


;; [[org.clojure/clojurescript "1.10.520"] ;; for extraction tests
;;  [clj-commons/conch "0.9.2"]
;;  [jonase/eastwood "0.3.6"]
;;  [borkdude/missing.test.assertions "0.0.1"]]
